Satellite gpg key import fails with error: gpg_key_content: key 1 not an armored public key.

Solution Verified - Updated -

Issue

  • Importing a GPG public key from Satellite custom repository is failing with an error similar to the following:

    # rpm --import gpg_key_content
    error: gpg_key_content: key 1 not an armored public key.
    
  • The Cockpit Software Update Module fails with an error similar to the following:

    PKI file /var/cache/PackageKit/8.0/metadata/<repository_name>/gpg_key-content is not a public key
    

Environment

  • Red Hat Satellite 6.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In